#
# spec file for package freerdp
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} > 1500 && 0%{?is_opensuse}
%global _with_ffmpeg 1
#global _with_openh264 1
%global _with_soxr 1
%global _with_lame 1
%else
%if 0%{?sle_version} == 150200 && 0%{?is_opensuse}
%global _with_ffmpeg 1
%endif
%endif

# enable -DWITH_GSSAPI=ON again after #gh/FreeRDP/FreeRDP/4348 has been fixed
#global _with_gss 1

%define major_version 2
%define uwac_version 0
%define uwac_package %{uwac_version}-%{uwac_version}
%ifarch aarch64 %{arm}
%define _lto_cflags %{nil}
%endif

Name:           freerdp
Version:        2.4.0
Release:        150400.3.32.1
Summary:        Remote Desktop Viewer Client
License:        Apache-2.0
Group:          Productivity/Networking/Other
URL:            https://www.freerdp.com/
Source0:        https://github.com/FreeRDP/FreeRDP/archive/%{version}.tar.gz#/FreeRDP-%{version}.tar.gz
Source1:        freerdp-rpmlintrc
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-24882.patch yu.daike@suse.com -- Fix NTLM not properly check parameters
Patch1:         freerdp-CVE-2022-24882.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-24883.patch yu.daike@suse.com -- Fix authentication against invalid SAM files
Patch2:         freerdp-CVE-2022-24883.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2021-41159.patch bsc#1191895, CVE-2021-41159 -- Fix to validate client input
Patch3:         freerdp-CVE-2021-41159.patch
# PATCH-FIX-UPSTREAM freerdp-add-winpr-assert-header.patch -- Add the helper header required by freerdp-CVE-2021-41160.patch
Patch4:         freerdp-add-winpr-assert-header.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2021-41160.patch bsc#1191895, CVE-2021-41160 -- Fix to check improper region
Patch5:         freerdp-CVE-2021-41160.patch
Patch6:         freerdp-CVE-2022-39282.patch
Patch7:         freerdp-CVE-2022-39283.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-39318.patch bsc#1205563, CVE-2022-39318 yu.daike@suse.com -- Fixed division by zero in urbdrc
Patch8:         freerdp-CVE-2022-39318.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-39319.patch bsc#1205564, CVE-2022-39319 yu.daike@suse.com -- Fixed missing input buffer length check in urbdrc
Patch9:         freerdp-CVE-2022-39319.patch
# PATCH-FIX-UPSTREAM freerdp-Added-missing-length-checks-in-zgfx_decompress_segme.patch bsc#1205512, CVE-2022-39316, CVE-2022-39317 yu.daike@suse.com -- Added missing length checks in zgfx_decompress_segment
Patch10:        freerdp-Added-missing-length-checks-in-zgfx_decompress_segme.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-39320.patch bsc#1205512, CVE-2022-39320 yu.daike@suse.com -- Added missing length check in urb_control_transfer
Patch11:        freerdp-CVE-2022-39320.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-39347.patch bsc#1205512, CVE-2022-39347 yu.daike@suse.com -- Fixed path validation in drive channel
Patch12:        freerdp-CVE-2022-39347.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2022-41877.patch bsc#1205512, CVE-2022-41877 yu.daike@suse.com -- Fixed missing stream length check in ddrive_file_query_directory
Patch13:        freerdp-CVE-2022-41877.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2023-39350-to-2023-40589.patch yu.daike@suse.com -- Multiple CVE fixes
Patch14:        freerdp-CVE-2023-39350-to-2023-40589.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-22211.patch bsc#1219049 yu.daike@suse.com -- An integer overflow in `freerdp_bitmap_planar_context_reset` leads to heap-buffer overflow
Patch15:        freerdp-CVE-2024-22211.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-32039-to-2024-32460.patch bsc#1223293 - bsc#1223298, CVE-2024-32039 - CVE-2024-32460 yu.daike@suse.com -- Multiple CVE fixes
Patch16:        freerdp-CVE-2024-32039-to-2024-32460.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-32659.patch CVE-2024-32659 bsc#1223346 yu.daike@suse.com -- out-of-bounds read if `((nWidth == 0) and (nHeight == 0))`
Patch17:        freerdp-CVE-2024-32659.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-32660.patch CVE-2024-32660 bsc#1223347 yu.daike@suse.com -- client crash via invalid huge allocation size
Patch18:        freerdp-CVE-2024-32660.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-32661.patch CVE-2024-32661 bsc#1223348 yu.daike@suse.com -- client NULL pointer dereference
Patch19:        freerdp-CVE-2024-32661.patch
# PATCH-FIX-UPSTREAM freerdp-CVE-2024-32658.patch CVE-2024-32658 bsc#1223353 yu.daike@suse.com -- out-of-bounds read in Interleaved RLE Bitmap Codec in FreeRDP based clients
Patch20:        freerdp-CVE-2024-32658.patch

BuildRequires:  chrpath
BuildRequires:  cmake >= 2.8
BuildRequires:  cups-devel
BuildRequires:  ed
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libgsm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig
BuildRequires:  xmlto
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(icu-i18n)
%{?_with_gss:BuildRequires:  pkgconfig(krb5) >= 1.13}
%{?_with_lame:BuildRequires:  libmp3lame-devel}
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libusb-1.0)
%{?_with_openh264:BuildRequires:  libopenh264-devel}
BuildRequires:  pkgconfig(openssl)
%{?_with_soxr:BuildRequires:  pkgconfig(soxr)}
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
Requires:       lib%{name}%{major_version} = %{version}-%{release}
Requires:       libwinpr%{major_version} = %{version}-%{release}
%{?_with_ffmpeg:
BuildRequires:  pkgconfig(libavcodec) >= 57.48.101
BuildRequires:  pkgconfig(libavutil)
}

%description
FreeRDP is a client-side implementation of the Remote Desktop Protocol (RDP)
following the Microsoft Open Specifications. This package provides the client
application.

%package wayland
Summary:        Remote Desktop Viewer Client
Group:          Productivity/Networking/Other

%description wayland
FreeRDP is a client-side implementation of the Remote Desktop Protocol (RDP)
following the Microsoft Open Specifications. This package provides the
wayland-based client application.

%package server
Summary:        Remote Desktop Server
Group:          Productivity/Networking/Other

%description server
This package contains a server-side implementation which can export a desktop
via the Remote Desktop Protocol (RDP) following the Microsoft Open
Specifications.

%package proxy
Summary:        Remote Desktop Security and Monitorig Proxy Server
Group:          Productivity/Networking/Other

%description proxy
This package contains a proxy that allows to select specific features and
channels allowed for all connections passing through.
It allows monitoring of the running sessions.

%package -n lib%{name}%{major_version}
Summary:        Remote Desktop Viewer client library
Group:          System/Libraries
Obsoletes:      lib%{name} < %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}

%description -n lib%{name}%{major_version}
FreeRDP is a client-side implementation of the Remote Desktop Protocol (RDP)
following the Microsoft Open Specifications. This package provides the shared
libraries used by the client.

%package devel
Summary:        Development Files for freerdp
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{major_version} = %{version}-%{release}

%description devel
This package contains development files necessary for developing applications
based on libfreerdp.

%package -n     libwinpr%{major_version}
Summary:        Windows Portable Runtime
Group:          Productivity/Networking/Other

%description -n libwinpr%{major_version}
WinPR provides API compatibility for applications targeting non-Windows
environments. When on Windows, the original native API is being used instead of
the equivalent WinPR implementation, without having to modify the code using it.

%package -n winpr%{major_version}-devel
Summary:        Windows Portable Runtime development files
Group:          Development/Languages/C and C++
Requires:       cmake >= 2.8
Requires:       libwinpr%{major_version} = %{version}-%{release}
Obsoletes:      libwinpr2-devel < %{version}-%{release}
Provides:       libwinpr2-devel = %{version}-%{release}

%description -n winpr%{major_version}-devel
This package contains header files for developing applications that
use the winpr and winpr-tools libraries.

%package -n     libuwac%{uwac_package}
Summary:        Use wayland as a client
Group:          Productivity/Networking/Other

%description -n libuwac%{uwac_package}
Using wayland as a client (uwac) is a library to provide common
functionality for wayland clients.

%package -n uwac%{uwac_package}-devel
Summary:        Remote Desktop Toolkit libuwac development files
Group:          Development/Languages/C and C++
Requires:       cmake >= 2.8
Requires:       libuwac%{uwac_package} = %{version}-%{release}
Obsoletes:      libuwac0-devel < %{version}-%{release}
Provides:       libuwac0-devel = %{version}-%{release}

%description -n uwac%{uwac_package}-devel
This package contains header files for developing applications that
use the uwac library.

%prep
%setup -q -n FreeRDP-%{version}
%autopatch -p1

%build
if [ -z "$SOURCE_DATE_EPOCH" ]; then
find . -type f -name "*.c" -exec perl -i -pe 's{__(DATE|TIME)__}{""}g' "{}" "+"
fi
export LDFLAGS="-pie"
export CFLAGS="%{optflags} -fPIE -pie"

%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DCMAKE_SKIP_RPATH=ON \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
        -DWITH_ALSA=ON \
	-DWITH_CAIRO=ON \
	-DWITH_CUPS=ON \
	-DWITH_CHANNELS=ON -DBUILTIN_CHANNELS=ON \
        -DWITH_CLIENT=ON \
        -DWITH_DIRECTFB=OFF \
        -DWITH_FFMPEG=%{?_with_ffmpeg:ON}%{?!_with_ffmpeg:OFF} \
	-DWITH_GSM=ON \
	-DWITH_GSSAPI=%{?_with_gss:ON}%{?!_with_gss:OFF} \
        -DWITH_GSTREAMER_1_0=ON -DWITH_GSTREAMER_0_10=OFF \
        -DWITH_ICU=ON \
        -DWITH_IPP=OFF \
	-DWITH_JPEG=ON \
        -DWITH_LAME=%{?_with_lame:ON}%{?!_with_lame:OFF} \
        -DWITH_MANPAGES=ON \
        -DWITH_OPENH264=%{?_with_openh264:ON}%{?!_with_openh264:OFF} \
        -DWITH_OPENSSL=ON \
	-DWITH_PCSC=ON \
        -DWITH_PULSE=ON \
	-DWITH_SERVER=ON \
        -DWITH_SERVER_INTERFACE=ON \
        -DWITH_SHADOW_X11=ON \
        -DWITH_SHADOW_MAC=ON \
        -DWITH_SOXR=%{?_with_soxr:ON}%{?!_with_soxr:OFF} \
        -DWITH_WAYLAND=ON \
        -DWITH_X11=ON \
        -DWITH_XCURSOR=ON \
        -DWITH_XEXT=ON \
        -DWITH_XKBFILE=ON \
        -DWITH_XI=ON \
        -DWITH_XINERAMA=ON \
        -DWITH_XRENDER=ON \
        -DWITH_XTEST=ON \
        -DWITH_XV=ON \
        -DWITH_ZLIB=ON \
%ifarch x86_64
        -DWITH_SSE2=ON \
        -DWITH_VAAPI=%{?_with_ffmpeg:ON}%{?!_with_ffmpeg:OFF} \
%else
        -DWITH_SSE2=OFF \
%endif
%ifarch armv7hl
        -DARM_FP_ABI=hard \
        -DWITH_NEON=OFF \
%endif
%ifarch armv7hnl
        -DARM_FP_ABI=hard \
        -DWITH_NEON=ON \
%endif
%ifarch armv5tel armv6l armv7l
        -DARM_FP_ABI=soft \
        -DWITH_NEON=OFF \
%endif
	-DCHANNEL_GEOMETRY=ON -DCHANNEL_GEOMETRY_CLIENT=ON \
	-DCHANNEL_URBDRC=ON \
	-DCHANNEL_URBDRC_CLIENT=ON

%make_build

%install
cd build
%make_install
%fdupes %{buildroot}%{_libdir}/cmake/

%post   -n lib%{name}%{major_version} -p /sbin/ldconfig
%postun -n lib%{name}%{major_version} -p /sbin/ldconfig
%post -n libwinpr%{major_version} -p /sbin/ldconfig
%postun -n libwinpr%{major_version} -p /sbin/ldconfig
%post -n libuwac%{uwac_package} -p /sbin/ldconfig
%postun -n libuwac%{uwac_package} -p /sbin/ldconfig

%files
%{_bindir}/x%{name}
%{_mandir}/man1/x%{name}.1%{?ext_man}
%{_mandir}/man7/wlog.7%{?ext_man}

%files wayland
%{_bindir}/wl%{name}
%{_mandir}/man1/wl%{name}.1%{?ext_man}

%files server
%{_bindir}/%{name}-shadow-cli
%{_bindir}/winpr-hash
%{_bindir}/winpr-makecert
%{_mandir}/man1/%{name}-shadow-cli.1%{?ext_man}
%{_mandir}/man1/winpr-hash.1%{?ext_man}
%{_mandir}/man1/winpr-makecert.1%{?ext_man}

%files proxy
%{_bindir}/%{name}-proxy

%files -n lib%{name}%{major_version}
%license LICENSE
%{_libdir}/lib%{name}%{major_version}.so.*
%{_libdir}/lib%{name}-client%{major_version}.so.*
%{_libdir}/lib%{name}-shadow%{major_version}.so.*
%{_libdir}/lib%{name}-server%{major_version}.so.*
%{_libdir}/lib%{name}-shadow-subsystem%{major_version}.so.*

%files devel
%{_libdir}/cmake/FreeRDP%{major_version}
%{_libdir}/cmake/FreeRDP-Client%{major_version}
%{_libdir}/cmake/FreeRDP-Server%{major_version}
%{_libdir}/cmake/FreeRDP-Shadow%{major_version}
%{_includedir}/%{name}%{major_version}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}%{major_version}.pc
%{_libdir}/pkgconfig/%{name}-client%{major_version}.pc
%{_libdir}/pkgconfig/%{name}-server%{major_version}.pc
%{_libdir}/pkgconfig/%{name}-shadow%{major_version}.pc

%files -n libwinpr%{major_version}
%license LICENSE
%{_libdir}/libwinpr%{major_version}.so.*
%{_libdir}/libwinpr-tools%{major_version}.so.*

%files -n winpr%{major_version}-devel
%{_libdir}/cmake/WinPR%{major_version}
%{_includedir}/winpr%{major_version}
%{_libdir}/libwinpr%{major_version}.so
%{_libdir}/libwinpr-tools%{major_version}.so
%{_libdir}/pkgconfig/winpr%{major_version}.pc
%{_libdir}/pkgconfig/winpr-tools%{major_version}.pc

%files -n libuwac%{uwac_package}
%license LICENSE
%{_libdir}/libuwac%{uwac_version}.so.*

%files -n uwac%{uwac_package}-devel
%{_libdir}/cmake/uwac%{uwac_version}
%{_includedir}/uwac%{uwac_version}
%{_libdir}/libuwac%{uwac_version}.so
%{_libdir}/pkgconfig/uwac%{uwac_version}.pc

%changelog
* Thu May 23 2024 yu.daike@suse.com
- Add freerdp-CVE-2024-32658.patch (bsc#1223353, CVE-2024-32658)
  - out-of-bounds read in Interleaved RLE Bitmap Codec in FreeRDP based clients
* Thu May  9 2024 yu.daike@suse.com
- Multiple CVE fixes
  + Add freerdp-CVE-2024-32659.patch (bsc#1223346, CVE-2024-32659)
  - out-of-bounds read if `((nWidth == 0) and (nHeight == 0))`
  + Add freerdp-CVE-2024-32660.patch (bsc#1223347, CVE-2024-32660)
  - client crash via invalid huge allocation size
  + Add freerdp-CVE-2024-32661.patch (bsc#1223348, CVE-2024-32661)
  - client NULL pointer dereference
* Tue May  7 2024 yu.daike@suse.com
- Add freerdp-CVE-2024-32039-to-2024-32460.patch
  + Multiple CVE fixes
  * bsc#1223293, CVE-2024-32039
  * bsc#1223294, CVE-2024-32040
  * bsc#1223295, CVE-2024-32041
  * bsc#1223296, CVE-2024-32458
  * bsc#1223297, CVE-2024-32459
  * bsc#1223298, CVE-2024-32460
* Mon Feb 26 2024 yu.daike@suse.com
- Add freerdp-CVE-2024-22211.patch (bsc#1219049, CVE-2024-22211)
  + In affected versions an integer overflow in `freerdp_bitmap_planar_context_reset` leads to heap-buffer overflow.
* Thu Nov 16 2023 yu.daike@suse.com
- Add freerdp-CVE-2023-39350-to-2023-40589.patch
  + Multiple CVE fixes
  * bsc#1214856, CVE-2023-39350
  * bsc#1214857, CVE-2023-39351
  * bsc#1214858, CVE-2023-39352
  * bsc#1214859, CVE-2023-39353
  * bsc#1214860, CVE-2023-39354
  * bsc#1214862, CVE-2023-39356
  * bsc#1214863, CVE-2023-40181
  * bsc#1214864, CVE-2023-40186
  * bsc#1214866, CVE-2023-40188
  * bsc#1214867, CVE-2023-40567
  * bsc#1214868, CVE-2023-40569
  * bsc#1214869, CVE-2023-40574
  * bsc#1214870, CVE-2023-40575
  * bsc#1214871, CVE-2023-40576
  * bsc#1214872, CVE-2023-40589
* Tue Feb  7 2023 yu.daike@suse.com
- Multiple CVE fixes (bsc#1205512)
  + Add freerdp-Added-missing-length-checks-in-zgfx_decompress_segme.patch
  * Fixes CVE-2022-39316 & CVE-2022-39317
  + Add freerdp-CVE-2022-39320.patch
  * Added missing length check in urb_control_transfer
  + Add freerdp-CVE-2022-39347.patch
  * Fix path validation in drive channel
  + Add freerdp-CVE-2022-41877.patch
  * Fixed missing stream length check in drive_file_query_directory
* Wed Nov 30 2022 yu.daike@suse.com
- Drop -DBUILTIN_CHANNELS=OFF option (bsc#1205446)
  * Fix missing symbols issue for builtin channels
- Drop freerdp-builtin-channels-off-link-fix.diff
  * No longer needed as -DBUILTIN_CHANNELS=OFF has been dropped
* Thu Nov 24 2022 yu.daike@suse.com
- Add freerdp-CVE-2022-39318.patch (bsc#1205563)
  * Fixed division by zero in urbdrc
- Add freerdp-CVE-2022-39319.patch (bsc#1205564)
  * Fixed missing input buffer length check in urbdrc
* Tue Oct 18 2022 yu.daike@suse.com
- Add freerdp-CVE-2022-39282.patch (bsc#1204258)
  * Fix to init data read by `/parallel` command line switch
- Add freerdp-CVE-2022-39283.patch (bsc#1204257)
  * Fix to prevent video channel from reading uninitialized data
* Tue Aug  9 2022 yfjiang@suse.com
- Add freerdp-CVE-2021-41159.patch (bsc#1191895)
  * Fix to validate client input
- Add freerdp-CVE-2021-41160.patch (bsc#1191895)
  * Fix to check improper region
- Add freerdp-add-winpr-assert-header.patch
  * Required by freerdp-CVE-2021-41160 to keep our codebase
    consistent with upstream
* Tue May 17 2022 yu.daike@suse.com
- Add freerdp-CVE-2022-24882.patch
  * Fix NTLM not properly check parameters (bsc#1198919)
- Add freerdp-CVE-2022-24883.patch
  * Fix authentication against invalid SAM files (bsc#1198921)
* Thu Oct  7 2021 hpj@urpla.net
- Finally nailed it: CMAKE_INSTALL_LIBDIR is absolute on Leaps and
  relative on TW, but freerdp requires the relative variant.
  Fixes boo#1190919
* Wed Oct  6 2021 hpj@urpla.net
- Remove freerdp-fix-plugin-path.patch again, the problem was
  introduced/fixed by cmake changes
* Sat Sep 18 2021 hpj@urpla.net
- Create an explicit freerdp dependency for libwinpr
* Fri Sep 17 2021 hpj@urpla.net
- Add preliminary patch freerdp-fix-plugin-path.patch to fix dynamic
  addin loading
* Fri Sep 17 2021 jweberhofer@weberhofer.at
- Modified spec to satisfy because obs-service-source_validator does not
  support elif
* Wed Sep 15 2021 hpj@urpla.net
- Fix the spec-cleaner mess
- Enable a few options on TW
- Build for 15.3 required another lib
- Remove X264 option, no related backend exists and enabling it fails
  in cmake creation stage
* Fri Aug 20 2021 hpj@urpla.net
- Reorganize build flags
- Apply fix for -DBUILTIN_CHANNELS=OFF: freerdp-builtin-channels-off-link-fix.diff
- Add plugins to libwinpr
* Wed Aug 11 2021 jweberhofer@weberhofer.at
- Updated to release 2.4.0
  Noteworthy changes:
  * Backported multithreaded progressive decoder (#7036)
  * Backported clipboard fixes (#6924)
  * Fixed remote file read (#7185)
  Fixed issues:
  * #gh:FreeRDP/FreeRDP#6938: RAILS clipboard remote -> local
  * #gh:FreeRDP/FreeRDP#6985: Support newer FFMPEG builds
  * #gh:FreeRDP/FreeRDP#6989: Use OpenSSL default certificate store settings
  * #gh:FreeRDP/FreeRDP#7073: Planar alignment fixes
* Mon Mar 15 2021 jweberhofer@weberhofer.at
- Updated to release 2.3.2
  Noteworthy changes:
  * Fixed autoreconnect printer backend loading
  * Fixed compilation on older mac os versions < 10.14
  * Fixed mouse pointer move with smart-sizing
  * Added command line option to disable websocket gateway support
  * Fixed drive hotplugging issues with windows
  * Fixed smartcard issues on mac
  Fixed issues:
  * #gh:FreeRDP/FreeRDP#6900: Transparency issues with aFreeRDP
  * #gh:FreeRDP/FreeRDP#6848: Invalid format string in smartcard trace
  * #gh:FreeRDP/FreeRDP#6846: Fixed static builds
  * #gh:FreeRDP/FreeRDP#6888: Crash due to missing bounds checks
  * #gh:FreeRDP/FreeRDP#6882: Use default sound device on mac
* Mon Mar  1 2021 jweberhofer@weberhofer.at
- Updated to release 2.3.1
  Noteworthy changes:
  * This is a compatibility bugfix release readding some (deprecated)
    symbols/defines
  * Also add some more EXPERIMENTAL warnings to CMake flags as some were not
    clear enough.
  * Fixed a memory leak in xfreerdp (mouse pointer updates)
  * No longer activating some compile time debug options with
  - DWITH_DEBUG_ALL=ON which might leak sensitive information.
  * Added -DDEFINE_NO_DEPRECATED for developers to detect use of
    deprecated symbols
* Thu Feb 25 2021 jweberhofer@weberhofer.at
- Updated to release 2.3.0
  Noteworthy changes:
  * Websocket support for proxy connections
  * Progressive codec improvements. Reduces graphical glitches against windows
    and ogon servers
  * Fixed +glyph-cache, now working properly without disconnects
  * Huge file support in clipboard
  * XWayland support for xfreerdp (keyboard grabbing)
  * Improved wlfreerdp (wayland client)
  * Option to allow keyboard scancodes to be remapped manually
  * Improved mouse wheel behaviour when scrolling
  * Improved dynamic channel behaviour, more stable event detection
  * New connection state PubSub notification: Clients can now monitor current
    connection state
  Fixes:
  * gh#FreeRDP/FreeRDP/6626: Fixed parsing of FastGlyph order.
    gh#FreeRDP/FreeRDP/6624: Added support for xwayland keyboard grab
    gh#FreeRDP/FreeRDP/6492: Added clipboard CB_HUGE_FILE_SUPPORT_ENABLED flag
    gh#FreeRDP/FreeRDP/6428: Improve NLA error code logging.
    gh#FreeRDP/FreeRDP/6416: Http gateway message support
    gh#FreeRDP/FreeRDP/6753: List of pull requests to backport for stable-next
- Added freerdp-rpmlintrc to supress a false positive as gethostbyname() is
  a windows-function call not a unix one.
* Mon Jul 20 2020 jweberhofer@weberhofer.at
- Updated to release 2.2.0 (boo#1174321, gh#FreeRDP/FreeRDP#6381)
  * SECURITY: CVE-2020-15103 - Integer overflow due to missing input sanitation in rdpegfx channel
  * Sound & mic - filter GSM codec for microphone redirection (gh#FreeRDP/FreeRDP#6263)
  * windows client title length (gh#FreeRDP/FreeRDP#6335)
  * "Alternate Secondary Drawing Order UNKNOWN" (gh#FreeRDP/FreeRDP#6370)
  * remoteapp with dialog is disconnecting when it loses focus (gh#FreeRDP/FreeRDP#6298)
  * v2.1.2: Can't connect to Windows7 (gh#FreeRDP/FreeRDP#6299)
  * fix: memory leak in nsc
  * urbdrc: some fixes and improvements
  * build: use cmake to detect getlogin_r, improve asan checks/detection
  * server/proxy:
  - new: support for heartbeats
  - new: support for rail handshake ex flags
  - fix: possible race condition with redirects
  * Drop upstream fixed patch: freerdp-CVE-2020-15103.patch
- Removed freerdp_Mask_CACHED_BRUSH_when_checking_brush_style.patch
* Fri Jul 17 2020 qkzhu@suse.com
- Drop BuildRequires of libavcodec for Leap/SLE (bsc#1174200)
* Thu Jul  2 2020 jweberhofer@weberhofer.at
- Added freerdp_Mask_CACHED_BRUSH_when_checking_brush_style.patch
  which fixed frequent crashes described in boo#1173605 and gh#FreeRDP/FreeRDP#6298
* Mon Jun 22 2020 jweberhofer@weberhofer.at
- Updated to release 2.1.2 (boo#1173247)
  * CVE-2020-4033 Out of bound read in RLEDECOMPRESS
  * CVE-2020-4031 Use-After-Free in gdi_SelectObject
  * CVE-2020-4032 Integer casting vulnerability in `update_recv_secondary_order`
  * CVE-2020-4030 OOB read in `TrioParse`
  * CVE-2020-11099 OOB Read in license_read_new_or_upgrade_license_packet
  * CVE-2020-11098 Out-of-bound read in glyph_cache_put
  * CVE-2020-11097 OOB read in ntlm_av_pair_get
  * CVE-2020-11095 Global OOB read in update_recv_primary_order
  * CVE-2020-11096 Global OOB read in update_read_cache_bitmap_v3_order
  * Gateway RPC fixes for windows
  * Fixed resource fee race resulting in double free in USB redirection
  * Fixed wayland client crashes
  * Fixed X11 client mouse mapping issues (X11 mapping on/off)
  * Some proxy related improvements (capture module)
  * Code cleanup (use getlogin_r, ...)
- Removed obsolete upstream patch freerdp-bug-6205.patch
* Wed May 20 2020 jweberhofer@weberhofer.at
- Updated to release 2.1.1 (boo#1171441)
  * CVE-2020-13396: GHSL-2020-100 OOB Read in ntlm_read_ChallengeMessage
  * CVE-2020-13397: GHSL-2020-101 OOB Read in security_fips_decrypt due to uninitialized value
  * CVE-2020-13398: GHSL-2020-102 OOB Write in crypto_rsa_common
  * Enforce synchronous legacy RDP encryption count (#6156)
  * Fixed some leaks and crashes missed in 2.1.0
  * Removed dynamic channel listener limits
  * Lots of resource cleanup fixes (clang sanitizers)
  * A couple of performance improvements
  * Various small annoyances eliminated (typos, prefilled username for windows client, ...)
- Removed freerdp-bug-6175.patch and freerdp-bug-6207.patch because included in upstream
* Wed May 20 2020 jweberhofer@weberhofer.at
- Added freerdp-bug-6205.patch to fix reading newline on certificate accept gh#FreeRDP/FreeRDP#6205
- Added freerdp-bug-6175.patch to fix Certificate Checking Recently Broke gh#FreeRDP/FreeRDP#6148
- Added freerdp-bug-6207.patch to fix Abort on first possible certificate validation error gh#FreeRDP/FreeRDP#6207
* Fri May  8 2020 jweberhofer@weberhofer.at
- Updated to release 2.1.0 (boo#1171441)
  * Fixed CVEs:
  - CVE-2020-11039
  - CVE-2020-11038
  - CVE-2020-11043
  - CVE-2020-11040
  - CVE-2020-11041
  - CVE-2020-11019
  - CVE-2020-11017
  - CVE-2020-11018
  * Fixed leak and crashing issues:
  - gh#FreeRDP/FreeRDP#6129
  - gh#FreeRDP/FreeRDP#6128
  - gh#FreeRDP/FreeRDP#6127
  - gh#FreeRDP/FreeRDP#6110
  - gh#FreeRDP/FreeRDP#6081
  - gh#FreeRDP/FreeRDP#6077
  * Noteworthy features and improvements:
  - Fixed sound issues (gh#FreeRDP/FreeRDP#6043)
  - New expert command line options /tune and /tune-list to modify all client
    settings in a generic way.
  - Fixes for smartcard cache, this improves compatibility of smartcard devices
    with newer smartcard channel.
  - Shadow server can now be instructed to listen to multiple interfaces.
  - Improved server certificate support (gh#FreeRDP/FreeRDP#6052)
  - Various fixes for wayland client (fullscreen, mouse wheel, ...)
  - Fixed large mouse pointer support, now mouse pointers > 96x96 pixel are visible.
  - USB redirection command line improvements (filter options)
  - Various translation improvements for android and ios clients
- Removed upstream patches fix-freerdp-2.0.0-usbdk-build.patch
  and fix-URBDRC_DEVICE_ADD_FLAG-definitions.patch
* Fri Apr 17 2020 jweberhofer@weberhofer.at
- Updated and reviewed make command and added fix-freerdp-2.0.0-usbdk-build.patch
  to fix boo#1169679 and make USB working again
- Fixed build for SLE_12
- Cleaned up spec file
* Fri Apr 17 2020 mliska@suse.cz
- Add fix-URBDRC_DEVICE_ADD_FLAG-definitions.patch in order
  to fix boo#1169748.
* Mon Apr 13 2020 jweberhofer@weberhofer.at
- Added cairo support for scaling
- Cleaned up spec
* Sun Apr 12 2020 jweberhofer@weberhofer.at
- Removed patch freerdp-Fix-realloc-return-handling.patch
- Added pkgconfig(libusb-1.0) for building
- Added new package for freerdp-proxy
- Cleaned up spec file
- Updated to release 2.0.0
  * Fixed CVEs:
  - CVE-2020-11521
  - CVE-2020-11522
  - CVE-2020-11523
  - CVE-2020-11524
  - CVE-2020-11525
  - CVE-2020-11526
  * Fixed security related issues:
  - gh#FreeRDP/FreeRDP#6005
  - gh#FreeRDP/FreeRDP#6006
  - gh#FreeRDP/FreeRDP#6007
  - gh#FreeRDP/FreeRDP#6008
  - gh#FreeRDP/FreeRDP#6009
  - gh#FreeRDP/FreeRDP#6010
  - gh#FreeRDP/FreeRDP#6011
  - gh#FreeRDP/FreeRDP#6012
  - gh#FreeRDP/FreeRDP#6013
  * sha256 is now used instead of sha1 to fingerprint certificates. This will
    invalidate all hosts in FreeRDP known_hosts2 file and causes a prompt if a
    new connection is established after the update
  * First version of the RDP proxy was added (gh#FreeRDP/FreeRDP#5372)
    thanks to @kubistika
  * Smartcard received some refactoring. Missing functions were added and input
    validation was improved (gh#FreeRDP/FreeRDP#5884)
  * A new option /cert that unifies all certificate related options (gh#FreeRDP/FreeRDP#5880)
    The old options (cert-ignore, cert-deny, cert-name, cert-tofu) are still
    available but marked as deprecated
  * Support for Remote Assistance Protocol Version 2 [MS-RA]
  * The DirectFB client was removed because it was unmaintained
  * Unified initialization of OrderSupport
  * Fix for licensing against Windows Server 2003
  * Font smoothing is now enabled per default
  * Smart scaling for Wayland using libcairo was added (gh#FreeRDP/FreeRDP#5215)
  * Unified update->BeginPaint and update->EndPaint
  * An image scaling API for software drawing was added
  * Rail was updated to the latest spec version 28.0
  * Support for H.264 in the shadow server is now detected at runtime
  * Add mask=<value> option for /gfx and /gfx-h264  (gh#FreeRDP/FreeRDP#5771)
  * A new option /timeout was added to adjust the TCP ACK timeout (gh#FreeRDP/FreeRDP#5987)
* Fri Mar 20 2020 guillaume.gardet@opensuse.org
- Disable LTO on aarch64 and %%arm to fix build
* Mon Oct 28 2019 fezhang@suse.com
- Add freerdp-Fix-realloc-return-handling.patch: Fix realloc return
  handling that results in memory leaks (boo#1153163, boo#1153164,
  gh#FreeRDP/FreeRDP#5645, CVE-2019-17177, CVE-2019-17178)
* Wed Apr 17 2019 fezhang@suse.com
- Add Requires: lib%%{name}%%{major_version} = %%{version}-%%{release}:
  freerdp should depend on the same release of libfreerdp2
  (boo#1129193)
* Tue Nov 20 2018 jweberhofer@weberhofer.at
- upgrade to version 2.0.0-rc4 (FATE#326739)
  * Fix the following issues:
  - CVE-2018-8784, boo#1116708
  - CVE-2018-8785, boo#1117967
  - CVE-2018-8786, boo#1117966
  - CVE-2018-8787, boo#1117964
  - CVE-2018-8788, boo#1117963
  - CVE-2018-8789, boo#1117965
  - CVE-2018-1000852, boo#1120507
  * Security and stability improvements, including boo#1103557 and boo#1112028
  * Refactored ntlm_av_pairs API
  * gateway: multiple fixes and improvements
  * client/X11: support for rail (remote app) icons was added
  * the licensing code was re-worked: Per-device licenses are now saved on the
    client and used on re-connect: WARNING: this is a change in FreeRDP
    behavior regarding licensing
    WARNING: this is a change in FreeRDP behavior regarding licensing. If the old
    behavior is required, or no licenses should be saved use the
    new command line option +old-license (gh#/FreeRDP/FreeRDP#4979)
  * improve order handling -  only orders that were enabled
    during capability exchange are accepted.
    WARNING and NOTE: some servers do improperly send orders that weren't negotiated,
    for such cases the new command line option /relax-order-checks was added to
    disable the strict order checking. If connecting to xrdp the options
    /relax-order-checks *and* +glyph-cache are required. (gh#/FreeRDP/FreeRDP#4926)
  * /smartcard has now support for substring filters (gh#/FreeRDP/FreeRDP#4840)
    for details see https://github.com/FreeRDP/FreeRDP/wiki/smartcard-logon
  * add new command line option /smartcard-logon to allow
    smartcard login (currently only with RDP security)
  * add support to set tls security level (for openssl >= 1.1.0)
  - default level is set to 1
  - the new command line option /tls-seclevel:[LEVEL] allows to set
    a different level if required
  * new command line option: /window-position to allow positioning
    the window on startup
  * client/X11: set window title before mapping
  * rdpsnd/audin (mostly server side) add support for audio re-sampling using soxr or ffmpeg
* Wed Aug  8 2018 jweberhofer@weberhofer.at
- upgrade to version 2.0.0-rc3
  See: https://github.com/FreeRDP/FreeRDP/milestone/9?closed=1
  * Improved and cleaned up the command line interface
  * Fixed automount issues
  * Fixed several audio and microphone related issues
  * Implemented AAC and MP3 codecs
  * Added Wave2 support
  * Addedd dynamic resolution with full screen toggle support
  * Improved redirection handling and certificate issues
  * Improved automatic reconnects
  * Improced connection error handling
  * Fixed invalid pointer, double-free, integer underflow,
    buffer overflows issues as well as other memory leaks
  * fixed X11 Right-Ctrl ungrab feature
  * winpr: Updates time zone data to April 2018
  * added libressl compatibility
* Mon May 14 2018 jweberhofer@weberhofer.at
- removed SLE11 condition
- removed no_connection_to_windows_10_17101.patch
- removed -DBUILTIN_CHANNELS=OFF switch
- explicitly set -DCHANNEL_GEOMETRY=ON
- Disable the new X264 and OPENH264 codecs because openSUSE does
  not provide them
- upgrade to version 2.0.0-rc2
  See: https://github.com/FreeRDP/FreeRDP/milestone/8
  Noteworthy features and improvements:
  * IMPORTANT: add support CredSSP v6 - this fixes KB4088776 see #4449, #4488
  * basic support for the "Video Optimized Remoting Virtual Channel
    Extension" (MS-RDPEVOR) was added
  * many smart card related fixes and cleanups #4312
  * fix ccache support
  * add support for memory and thread sanitizer
  * support for dynamic resloution changes was added in xfreerdp #4313
  * support for gateway access token (command line option /gat) was added
  * initial support for travis-ci.org was added
  * SSE optimization version of RGB to AVC444 frame split was added
  * build: -msse2/-msse3 are not enabled globally anymore
  Fixed github issues (excerpt):
  * #4227 Convert settings->Password to binary blob
  * #4231 freerdp-2.0.0_rc0: 5 tests failed out of 184 on ppc
  * #4276 Big endian fixes
  * #4291 xfreerdp “Segmentation fault” when connecting to freerdp-shadow-cli
  * #4293 [X11] shadow server memory corruption with /monitors:2 #4293
  * #4296 drive redirection - raise an error if the directory can't be found
  * #4306 Cannot connect to shadow server with NLA auth:
    SEC_E_OUT_OF_SEQUENCE (boo#1085416, boo#1087240, boo#1104918,
    CVE-2018-0886)
  * #4457 Fix /size: /w: /h: with /monitors: (Fix custom sizes)
  * #4527 pre-connection blob (pcb) support in .rdp files
  * #4552 Fix Windows 10 cursors drawing as black
  * smartcard related: #3521, #3431, #3474, #3488, #775, #1424
* Tue Apr 24 2018 bruno@ioda-net.ch
- Fix boo#1090677 activate pulse optional component
* Thu Mar 15 2018 jweberhofer@weberhofer.at
- Added no_connection_to_windows_10_17101.patch to fix
  Windows-connection-problem after Windows march 2018 updates.
  This fix is related to boo#1085416
* Mon Mar 12 2018 crrodriguez@opensuse.org
- Do not use xorg-x11-devel, instead buildrequire individual
  x components.
- Only attempt to ge rid of __DATE__ and __TIME__ if
  SOURCE_DATE_EPOCH is not set.
* Thu Jan 11 2018 jweberhofer@weberhofer.at
- Users can connect only once wo windows sessions due to
  [#]gh/FreeRDP/FreeRDP/4348
  Therefore WITH_GSSAPI has been disabled until that issue has been
  solved
* Thu Nov 30 2017 jweberhofer@weberhofer.at
- Updated to 2.0.0-rc1
  Noteworthy features and improvements:
  * support for FIPS mode was added (option +fipsmode)
  * initial client side kerberos support (run cmake with WITH_GSSAPI)
  * support for ssh-agent redirection (as rdp channel)
  * the man page(s) and /help were updated an improved
  * add support for ICU for unicode conversion (-DWITH_ICU=ON)
  * client add option to force password prompt before connection (/from-stdin[:force])
  * extend /size to allow width or height percentages (#gh/FreeRDP/FreeRDP/4146)
  * add support for "password is pin"
  * clipboard is now enabled per default (use -clipboard to disable)
  Fixed github issues (excerpt):
  * #gh/FreeRDP/FreeRDP/4281: Added option to prefer IPv6 over IPv4
  * #gh/FreeRDP/FreeRDP/3890: Point to OpenSSL doc for private CA
  * #gh/FreeRDP/FreeRDP/3378: support 31 static channels as described in the spec
  * #gh/FreeRDP/FreeRDP/4253: Rfx decode tile width.
  * #gh/FreeRDP/FreeRDP/3267: fix parsing of drivestoredirect
  * #gh/FreeRDP/FreeRDP/4257: Proper error checks for /kbd argument
  * #gh/FreeRDP/FreeRDP/4249: Corruption due to recursive parser
  * #gh/FreeRDP/FreeRDP/4111: 15bpp color handling for brush.
  * #gh/FreeRDP/FreeRDP/3509: Added Ctrl+Alt+Enter description
  * #gh/FreeRDP/FreeRDP/3211: Return freerdp error from main.
  * #gh/FreeRDP/FreeRDP/3513: add better description for drive redirection
  * #gh/FreeRDP/FreeRDP/4199: ConvertFindDataAToW string length
  * #gh/FreeRDP/FreeRDP/4135: client/x11: fix colors on big endian
  * #gh/FreeRDP/FreeRDP/4089: fix h264 context leak when DeleteSurface
  * #gh/FreeRDP/FreeRDP/4117: possible segfault
  * #gh/FreeRDP/FreeRDP/4091: fix a regression with remote program
* Mon Sep  4 2017 jengelh@inai.de
- Remove extraneous Obsoletes for packages that never existed
  in openSUSE:Factory or X11:RemoteDesktop.
- Rename libuwac0-devel to uwac0-devel and libwinpr-devel to
  winpr-devel, as that seems to be their upstream name which
  packages are encouraged to stick to.
- Remove duplicated pkgconfig requires (these are autodetected).
* Fri Sep  1 2017 jweberhofer@weberhofer.at
- Fixed download location
* Fri Sep  1 2017 jweberhofer@weberhofer.at
- Switched to official RC0
- Create wayland client package and libuwac0 package
- Create separate libwinpr2 to be used in other packages
- enabled gstreamer (currently disabled for tumbleweed)
- enabled kerberos authentication
- Update to official RC0
  Fix the following issues identified by the CISCO TALOS project:
  * TALOS-2017-0336 CVE-2017-2834 boo#1050714
  * TALOS-2017-0337 CVE-2017-2835 boo#1050712
  * TALOS-2017-0338 CVE-2017-2836 boo#1050699
  * TALOS-2017-0339 CVE-2017-2837 boo#1050704
  * TALOS-2017-0340 CVE-2017-2838 boo#1050708
  * TALOS-2017-0341 CVE-2017-2839 boo#1050711
* Sun Jun 11 2017 bruno@ioda-net.ch
- Redo history by using changelog url
- Update to version 2.0.0~git.1497095982.1dbd2d28d:
  See https://github.com/freerdp/freeRDP/compare/043243f...1dbd2d28d
  for full details.
- Packaging :
  + Move to xz tarball in _service
  + Remove 3472.patch merged upstream
- Update to version 2.0.0~git.1496304402.c42ccb508:
  See https://github.com/freerdp/freeRDP/compare/043243f...c42ccb508
  for changes.
* Sat Jun 10 2017 meissner@suse.com
- Forcefully enable PIE in CFLAGS as the automatism did not work.
* Tue Jan 17 2017 bruno@ioda-net.ch
- Add 3472.patch until upstream #3472 isssue is fixed and PR merged
  this fix boo#1004108
* Wed Oct 26 2016 dimstar@opensuse.org
- Update to version 2.0.0~git.1477034991.043243f:
  * fixed kerberos authentication
  * shadow/rdpsnd: Fix race condition in rdpsnd channel server.
    The output buffer and format parameters are not protected.
  * wfreerdp: fix invalid VerifyCertificate callback
  * rdpsnd/server: decrease audio latency and make it configurable.
  * Add an environment variables section to the man
  * protocol violation: rdp_read_extended_info_packet
  * Added support for OpenH264 1.6
  * freerdp: fix sending of TLS alert on NLA failure, add better
    handling of server-side NLA in shadow server
  * freerdp: add configurable NTLM SAM file option for
    server-side NLA
  * freerdp: make modifications to NLA server-side fixes according
    to PR comments
  * Fixed a windows 8.1 issue.
* Wed May 18 2016 jengelh@inai.de
- Kill off __DATE__ from built sources.
* Tue May 17 2016 fezhang@suse.com
- Update to GNOME 3.20.2 FATE#318572
- Add obs git integration.
- Update to version 2.0.0git.1463131968.4e66df7:
  + Fixed memory leaks.
  + wfreerdp: fix name build without client interface
  + libfreerdp-codec: fix xcrush decompression, revert remote
    control fix
  + KB3153731: May 2016 DST update for Azerbaijan, Chile, Haiti and
    Morocco
  + libfreerdp-codec: make proper xcrush context reset fix
* Wed May  4 2016 fezhang@suse.com
- Update to version 2.0.0, git master branch id a7ca42e
  (FATE#319661), no upstream changelog available.
  * Warning: This is a git snapshot regarded as technical preview
    by upstream.
  * Warning: For xfreerdp, new /long-option commandline interfaces
    have replaced the old --long-option interfaces. Existing user
    scripts need to migrate to the new interfaces to avoid
    breakages.
    For more details, see:
    https://github.com/FreeRDP/FreeRDP/wiki/CommandLineInterface
  * Add Network Level Ahthentication support.
  * Add Windows Portable Runtime. For more details, see:
    http://www.freerdp.com/2012/05/24/winpr-windows-portable-runtime
  * Obsolete libfreerdp-1_0-plugins.
- Drop FindALSA.cmake: deprecated
- Drop freerdp_branch-1.0.x_fix-kpdivide-issue831.patch:
  fixed upstream, implemention now in include/freerdp/scancode.h.
- Drop freerdp-CVE-2014-0250.patch (bnc#880317):
  fixed upstream 532c420.
- Drop freerdp-CVE-2014-0791.patch (bnc#857491):
  fixed upstream f1d6afc.
- Drop freerdp-fix-FindPCSC-macro.patch:
  fixed upstream 9148af3.
- Drop freerdp-handle-null-device-name.patch (bnc#785437):
  deprecated, related implementation dropped.
  was: freerdp-fix-pulse-no-device-name.patch
* Mon Jun 23 2014 fezhang@suse.com
- Add freerdp-CVE-2014-0791.patch to fix bnc#857491
  backported from upstream commit f1d6afc
* Thu Jun 12 2014 dliang@suse.com
- Add freerdp-CVE-2014-0250.patch to fix bnc#880317
  solves CVE-2014-0250, backport from upstream
* Thu Oct 31 2013 lnt-sysadmin@lists.lrz.de
- Allow build on SLES11:
  * converted pkgconfig() BuildRequires to package names
  * added FindALSA.cmake
  * use 'make install' instead of '%%make_install' macro
* Thu Sep 12 2013 crrodriguez@opensuse.org
- build with -DOPENSSL_LOAD_CONF so among other things
  the application respects the system's openSSL configuration.
* Thu Mar  7 2013 bruno@ioda-net.ch
- Added patch for issue #811 fixing divide key (/) on keypad for
  1.0x series,
  commit https://github.com/bmiklautz/FreeRDP/commit/e0cc1e60657b5883a907e5da2f70eb27bf0b91f1
- Added changelog
  FreeRDP 1.0.2 is a maintenance release which contains several bug
  and stability fixes.
  * xfreerdp:
  * new parameter --from-stdin - prompts for unspecified arguments
    username, password, domain and host.
  * fix compability with x2go
  * fix keyboard state in remote app
  * documentation fixes
  * fixed crash when started with --authonly (#843)
  * libfreerdp-core:
  * several memory leaks and double frees were fixed
  * support for FastPath PDUs up to 32767
  * register audio only if plugin is registered
  * load extensions after argument parsing
  * libfreerdp-utils:
  * fixed crash when HOME environment variable wasn't set
  * xfreerdp-server:
  * deadlock fixed
  * accept TLSv1 and SSLv3
  * smartcard:
  * don't incorrectly set SCARD_STATE_IGNORE
  * libfreerdp-codec:
  * performance improvement
  * libfreerdp-gdi:
  * support for PatBlt DPa operation
  * plugin:
  * ignore CHANNEL_FLAG_SUSPEND/CHANNEL_FLAG_RESUME to prevent
    possible crash
  For a detailed list of changes use "git log 1.0.1..1.0.2"
  known problems:
  * If windows input language is set to german pressing the divde
    key (/) on the keypad results in minus (-) (see issue #811)
* Thu Jan 24 2013 kkaempf@suse.com
- update to 1.0.2
  - bugfix release (no changelog posted)
  - drop patches that are upstream
* Fri Dec 28 2012 dmueller@suse.com
- only enable SSE2 on x86*
* Fri Dec 28 2012 dvaleev@suse.com
- disable SSE2 for ARM as well
* Fri Dec 28 2012 dvaleev@suse.com
- disable SSE2 for powerpc
* Thu Dec 27 2012 gber@opensuse.org
- build with WITH_SSE2=ON as freerdp now uses runtime detection
  (bnc#793611)
* Thu Nov  1 2012 gber@opensuse.org
- added freerdp-fix-pulse-no-device-name.patch in order to fix a
  segfault in case device name is not provided (bnc#785437)
* Wed Oct 17 2012 gber@opensuse.org
- added freerdp-fix-linking-with-libpulse.patch in order to link
  correctly with libpulse
  (https://github.com/FreeRDP/FreeRDP/issues/418, bnc#785437)
* Sun Apr 29 2012 zawertun@gmail.com
- added freerdp-fix-incorrect-numlock-state.patch which fixes
  incorrect num lock state when connecting
  (https://github.com/FreeRDP/FreeRDP/pull/564)
* Sun Apr 22 2012 gber@opensuse.org
- added freerdp-fix-FindPCSC-macro.patch which fixes the build by
  setting PCSC_LIBRARIES and PCSC_INCLUDE_DIRS variables explicitly
  which are otherwise empty
  (https://github.com/FreeRDP/FreeRDP/issues/562)
* Thu Apr 19 2012 gber@opensuse.org
- applied fix for a bug in freerdp-fix-bitmap-cache.patch from
  upstream git
* Fri Mar 30 2012 zawertun@gmail.com
- added freerdp-fix-bitmap-cache.patch fixing a problem with the
  bitmap cache resulting in garbled images
  (https://github.com/FreeRDP/FreeRDP/issues/348)
* Wed Mar 28 2012 gber@opensuse.org
- split off -plugins subpackage
- specfile cleanup
* Tue Mar  6 2012 gankov@opensuse.org
- rewrote spec for using cmake.
- update to version 1.0.1
  - FreeRDP 1.x series is a complete rewrite now licensed under
    the Apache License 2.0
  - RemoteFX
  - Both encoder and decoder
  - SSE2 and NEON optimization
  - NSCodec
  - RemoteApp
  - Working, minor glitches
  - Multimedia Redirection
  - ffmpeg support
  - Network Level Authentication (NLA)
  - NTLMv2
  - Certificate validation
  - FIPS-compliant RDP security
  - new build system (cmake)
  - added official logo and icon
* Fri Dec  2 2011 gber@opensuse.org
- add explicit dependency on libtool
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Sep 22 2011 gber@opensuse.org
- cleanup to comply with the packaging policy
  - add header
  - use the correct license format
  - remove %%clean section
  - simplify the manipulation of PLUGIN_PATH
  - remove %%debug_package
  - add meaningful description
  - do not recompres the source tarball any more
  - corrected URLs
* Tue Jun  7 2011 pascal.bleser@opensuse.org
- fix bnc#688484 by passing --with-sound=alsa and alsa-devel in
  BuildRequires
* Wed Nov 17 2010 pascal.bleser@opensuse.org
- rewrote most of the spec file (wrong group, wrong subpackages,
  ldconfig called on devel package, shlibs inj devel package, ...)
- update to 0.8.2:
  * libfreerdp:
    + fix buffer overflow when local timezone doesn't fit in 32
    bytes
    + fix data corruption after TLS license package
    + free TLS resources to avoid memory leaks
  * mcs:
    + fix connecting to VirtualBox with extra channels
  * rdpsnd plugin:
    + ensure the ALSA device is closed when freeing resources
  * rdpdr plugin:
    + fix various memory leaks
    + fix a segfault in multi-session environment
* Wed Oct 27 2010 hrustov@gmail.com
- initial build
